%define name 	liquidwar
%define version	5.5.9
%define release 4mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	Liquid War is a unique multiplayer wargame
License: 	GPL
Group: 		Games/Other
Source0: 	%{name}-%{version}.tar.bz2
Source1:        %{name}-16.png.bz2
Source2:        %{name}-32.png.bz2
Source3:        %{name}-48.png.bz2
Patch0:         %{name}.compile_preprocessing_token.patch.bz2
URL: 		http://www.ufoot.org/liquidwar
BuildRequires:	liballegro4-devel python-devel
# (misc) data file need to compile
BuildRequires:  allegro
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# Author: ufoot@ufoot.org

%description
Liquid War is a wargame. But it is different from common wargames.

When playing Liquid War, one has to eat one's opponent. There can be from 
2 to 6 players. There are no weapons, the only thing you have to do is to 
move a cursor in a 2-D battlefield. This cursor is followed by your army, 
which is composed by a great many little fighters. Fighters are represented 
by small colored squares. All the fighters who have the same color belong 
to the same team. One very often controls several thousands fighters at the 
same time. And when fighters from different teams meet, they eat each 
other, it is as simple as that.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p0
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png

%build
autoconf
%configure --disable-doc-pdf --disable-doc-ps 
%make

%install
rm -rf $RPM_BUILD_ROOT
perl -pi -e 's#install_custom_texture install_icon install_gpl#install_custom_texture #' makefile
%makeinstall

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_gamesbindir}/liquidwar"\\
	needs="x11"\\
	icon="%{name}.png"\\
	section="Amusement/Strategy"\\
	title="Liquidwar" \
	longtitle="A unique multiplayer wargame"
EOF

# icons
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/liquidwar $RPM_BUILD_ROOT%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info liquidwar.info
%{update_menus}

%preun
%_remove_install_info liquidwar.info

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING README doc/html/*.html
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/man6/*
%{_infodir}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog

* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 5.5.9-4mdk 
- remove pdf and ps doc.

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 5.5.9-3mdk
- fix compile on gcc3 ( patch #0 )

* Fri Apr 25 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.5.9-2mdk
- fix buildrequires thx to stefan's robot

* Sat Mar  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.5.9-1mdk
- new version

* Fri Jul 26 2002 Damien Chaumette <dchaumette@mandrakesoft.com> 5.5.6-1mdk
- version 5.5.6

* Fri Jul 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.5.3-1mdk
- 5.5.3

* Thu Jul 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.5.2-1mdk
- 5.5.2

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.5.1-1mdk
- 5.5.1

* Tue Apr 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 5.4.5-1mdk
- 5.4.5
- png icons
- spec cleanup

* Tue Oct 16 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.2-3mdk
- rebuild
- rpmlint happier

* Thu Oct  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 5.4.2-2mdk
- rebuild with current liballeg

* Mon Aug 20 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.2-1mdk
- version 5.4.2

* Wed Jul 11 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.0-2mdk
- i suck

* Tue Jul 10 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.0-1mdk
- first mandrake version (games found by our pambon)
